BasicTreeUI.MouseHandler (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.MouseHandler class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTreeUI.MouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicTreeUI.MouseHandler

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.MouseHandler
      extends MouseAdapter
      implements MouseMotionListener

  TreeMouseListener is responsible for updating the selection based on mouse events.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MouseHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseDragged​(MouseEvent e)` | Invoked when a mouse button is pressed on a component and then dragged.
    `void` | `mouseMoved​(MouseEvent e)` | Invoked when the mouse button has been moved on a component (with no buttons no down).
    `void` | `mousePressed​(MouseEvent e)` | Invoked when a mouse button has been pressed on a component.
    `void` | `mouseReleased​(MouseEvent e)` | Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MouseHandler

          public MouseHandler​()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed

    - #### mouseDragged

          public void mouseDragged​(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

      Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Overrides:
        `mouseDragged` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed

    - #### mouseMoved

          public void mouseMoved​(MouseEvent e)

      Invoked when the mouse button has been moved on a component (with no buttons no down).
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Overrides:
        `mouseMoved` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed
      Since:
        1.4

    - #### mouseReleased

          public void mouseReleased​(MouseEvent e)

      Description copied from class: `MouseAdapter`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed